Skip to main content
PUT
/
account
/
ip
/
{ip_id}
Update IP
curl --request PUT \
  --url https://api.sendpost.io/api/v1/account/ip/{ip_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ApiKey: <api-key>' \
  --data '
{
  "autoWarmupEnabled": false
}
'
import requests

url = "https://api.sendpost.io/api/v1/account/ip/{ip_id}"

payload = { "autoWarmupEnabled": False }
headers = {
"X-Account-ApiKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-Account-ApiKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({autoWarmupEnabled: false})
};

fetch('https://api.sendpost.io/api/v1/account/ip/{ip_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 11321,
  "publicIP": "52.34.11.12",
  "created": 1703224038766344700,
  "systemDomain": {
    "id": 117,
    "name": "piedpiper.com",
    "dkim": {
      "host": "sp-dkim._domainkey.example.com",
      "type": "TXT",
      "textValue": "v=DKIM1;k=rsa;s=email;h=sha256;p=MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDU9T3mqruDth2rHXCqNiPzr4oRbHqcUMkqCA4sTZgK7WrhjzerHVyqNAfq4Tyx9s4Tqj0CVfAuENp9mHFKt9Kow5csxqTeVkBoi5UaonafsDstm39ggxFQhKTlRpRoV+VNE5jU9WYlv3wywv28DY2woKYG6QBM6JPSKN1dYQpR4QIDAQAB"
    },
    "returnPath": {
      "host": "sp-bounces.hooli.com",
      "type": "CNAME",
      "textValue": "sp.sendpost.email"
    },
    "track": {
      "host": "track.hooli.com",
      "type": "CNAME",
      "textValue": "api.sendpost.io"
    },
    "dmarc": {
      "host": "_dmarc.hooli.com",
      "type": "TXT",
      "textValue": "v=DMARC1; p=none;"
    },
    "dkimConfig": "<string>",
    "dkimVerified": false,
    "dmarcVerified": false,
    "returnPathVerified": false,
    "trackVerified": true,
    "verified": false,
    "domainRegisteredDate": "1995-08-14",
    "created": 1766394250613907000,
    "gptVerified": false,
    "gpt": {
      "host": "example.com",
      "type": "TXT",
      "textValue": ""
    },
    "dmarcFailureReason": "",
    "dkimFailureReason": "",
    "trackFailureReason": "",
    "returnPathFailureReason": ""
  },
  "reverseDNSHostname": "example.mtaspg.email",
  "type": 0,
  "gmailSettings": "{\"name\":\"gmail\",\"maxConcurrentConnections\":100,...}",
  "yahooSettings": "{\"name\":\"yahoo\",\"maxConcurrentConnections\":16,...}",
  "aolSettings": "{\"name\":\"aol\",\"maxConcurrentConnections\":20,...}",
  "microsoftSettings": "{\"name\":\"microsoft\",\"maxConcurrentConnections\":16,...}",
  "comcastSettings": "{\"name\":\"comcast\",\"maxConcurrentConnections\":20,...}",
  "yandexSettings": "{\"name\":\"yandex\",\"maxConcurrentConnections\":2,...}",
  "gmxSettings": "{\"name\":\"gmx\",\"maxConcurrentConnections\":2,...}",
  "mailruSettings": "{\"name\":\"mailru\",\"maxConcurrentConnections\":1,...}",
  "icloudSettings": "{\"name\":\"icloud\",\"maxConcurrentConnections\":20,...}",
  "zohoSettings": "{\"name\":\"zoho\",\"maxConcurrentConnections\":1,...}",
  "qqSettings": "{\"name\":\"qq\",\"maxConcurrentConnections\":1,...}",
  "defaultSettings": "{\"name\":\"default\",\"maxConcurrentConnections\":14,...}",
  "attSettings": "{\"name\":\"att\",\"maxConcurrentConnections\":1,...}",
  "infraClassification": "",
  "infraMonitor": true,
  "state": 1,
  "autoWarmupPlan": null
}

Authorizations

X-Account-ApiKey
string
header
required

This api key can be used for all account level operations

Path Parameters

ip_id
integer
required

The ID of the IP resource to update

Body

application/json
autoWarmupEnabled
boolean
required

Whether the IP warmup should happen automatically or be managed manually

Example:

false

Response

200 - application/json

The updated IP information

id
integer
required

Unique ID for the IP

Example:

11321

publicIP
string
required

The public IP address associated with the resource

Example:

"52.34.11.12"

created
integer
required

The timestamp (UNIX epoch) when the IP was created

Example:

1703224038766344700

systemDomain
object

Details of the system domain associated with the IP

reverseDNSHostname
string

The reverse DNS hostname for the IP

Example:

"example.mtaspg.email"

type
integer

Type of the IP

Example:

0

gmailSettings
string

Configuration for Gmail delivery settings in JSON format

Example:

"{\"name\":\"gmail\",\"maxConcurrentConnections\":100,...}"

yahooSettings
string

Configuration for Yahoo delivery settings in JSON format

Example:

"{\"name\":\"yahoo\",\"maxConcurrentConnections\":16,...}"

aolSettings
string

Configuration for AOL delivery settings in JSON format

Example:

"{\"name\":\"aol\",\"maxConcurrentConnections\":20,...}"

microsoftSettings
string

Configuration for Microsoft delivery settings in JSON format

Example:

"{\"name\":\"microsoft\",\"maxConcurrentConnections\":16,...}"

comcastSettings
string

Configuration for Comcast delivery settings in JSON format

Example:

"{\"name\":\"comcast\",\"maxConcurrentConnections\":20,...}"

yandexSettings
string

Configuration for Yandex delivery settings in JSON format

Example:

"{\"name\":\"yandex\",\"maxConcurrentConnections\":2,...}"

gmxSettings
string

Configuration for GMX delivery settings in JSON format

Example:

"{\"name\":\"gmx\",\"maxConcurrentConnections\":2,...}"

mailruSettings
string

Configuration for Mail.ru delivery settings in JSON format

Example:

"{\"name\":\"mailru\",\"maxConcurrentConnections\":1,...}"

icloudSettings
string

Configuration for iCloud delivery settings in JSON format

Example:

"{\"name\":\"icloud\",\"maxConcurrentConnections\":20,...}"

zohoSettings
string

Configuration for Zoho delivery settings in JSON format

Example:

"{\"name\":\"zoho\",\"maxConcurrentConnections\":1,...}"

qqSettings
string

Configuration for QQ delivery settings in JSON format

Example:

"{\"name\":\"qq\",\"maxConcurrentConnections\":1,...}"

defaultSettings
string

Default delivery settings in JSON format

Example:

"{\"name\":\"default\",\"maxConcurrentConnections\":14,...}"

attSettings
string

Configuration for AT&T delivery settings in JSON format

Example:

"{\"name\":\"att\",\"maxConcurrentConnections\":1,...}"

infraClassification
string

Classification of the infrastructure

Example:

""

infraMonitor
boolean

Indicates whether infrastructure monitoring is enabled

Example:

true

state
integer

The state of the IP

Example:

1

autoWarmupPlan
string | null

The auto-warmup plan associated with the IP

Example:

null